/*
 * $Id: SOAPSerializationState.java,v 1.2 2005-03-04 18:10:39 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.encoding;

/**
 *
 * @author JAX-RPC Development Team
 */
public class SOAPSerializationState {

    private Object obj;
    private String id;
    private ReferenceableSerializer serializer;

    public SOAPSerializationState(
        Object obj,
        String id,
        ReferenceableSerializer serializer) {
            
        this.obj = obj;
        this.id = id;
        this.serializer = serializer;
    }

    public Object getObject() {
        return obj;
    }

    public String getID() {
        return id;
    }

    public ReferenceableSerializer getSerializer() {
        return serializer;
    }
}
