/*
 * $Id: TypeMappingDescriptor.java,v 1.2 2005-03-04 18:10:40 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.encoding;

import javax.xml.namespace.QName;
import javax.xml.rpc.encoding.DeserializerFactory;
import javax.xml.rpc.encoding.SerializerFactory;

/**
 *
 * @author JAX-RPC Development Team
 */
public interface TypeMappingDescriptor {
    public Class getJavaType();
    public QName getXMLType();
    public SerializerFactory getSerializer();
    public DeserializerFactory getDeserializer();
}