/*
 * $Id: DataHandlerAttachmentEncoder.java,v 1.2 2005-03-04 18:10:43 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.encoding.simpletype;

import javax.activation.DataHandler;

/**
 *
 * @author JAX-RPC Development Team
 */
public class DataHandlerAttachmentEncoder implements AttachmentEncoder {
    private static final AttachmentEncoder encoder =
        new DataHandlerAttachmentEncoder();

    private DataHandlerAttachmentEncoder() {
    }

    public static AttachmentEncoder getInstance() {
        return encoder;
    }

    public DataHandler objectToDataHandler(Object obj) throws Exception {
        return (DataHandler) obj;
    }

    public Object dataHandlerToObject(DataHandler dataHandler)
        throws Exception {
        return dataHandler;
    }
}
