/*
 * $Id: WSDLPortInfo.java,v 1.2 2005-03-04 18:11:41 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.server.http.ea;

/**
 * WSDLPortInfo contains information about a port inside a WSDL document.
 *
 * @author JAX-RPC Development Team
 */
public class WSDLPortInfo {

    public WSDLPortInfo(
        String targetNamespace,
        String serviceName,
        String portName) {
        this.targetNamespace = targetNamespace;
        this.serviceName = serviceName;
        this.portName = portName;
    }

    public String getTargetNamespace() {
        return targetNamespace;
    }

    public String getServiceName() {
        return serviceName;
    }

    public String getPortName() {
        return portName;
    }

    private String targetNamespace;
    private String serviceName;
    private String portName;
}
