/*
 * $Id: SOAPProtocolViolationException.java,v 1.2 2005-03-04 18:11:44 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.soap.streaming;

import com.sun.xml.rpc.util.exception.JAXRPCExceptionBase;
import com.sun.xml.rpc.util.localization.Localizable;

/**
 * @author JAX-RPC Development Team
 */
public class SOAPProtocolViolationException extends JAXRPCExceptionBase {
	public SOAPProtocolViolationException(String key) {
		super(key);
	}

	public SOAPProtocolViolationException(String key, String argument) {
		super(key, argument);
	}

	public SOAPProtocolViolationException(String key, Object[] arguments) {
		super(key, arguments);
	}

	public SOAPProtocolViolationException(String key, Localizable argument) {
		super(key, argument);
	}

	public String getResourceBundleName() {
		return "com.sun.xml.rpc.resources.soap";
	}
}
