/*
 * $Id: HandlerChainInfo.java,v 1.2 2005-03-04 18:10:32 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.client;

import java.util.Iterator;
import java.util.List;

import javax.xml.rpc.handler.HandlerInfo;

/**
 * @author JAX-RPC Development Team
 */
public interface HandlerChainInfo extends List {

    public Iterator getHandlers();

    public List getHandlerList();

    public void addHandler(HandlerInfo info);

    public String[] getRoles();

    public void setRoles(String[] roles);

}
