/*
 * $Id: ModelInfoPlugin.java,v 1.2 2005-03-04 18:10:50 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.processor.config.parser;


import com.sun.xml.rpc.processor.util.ProcessorEnvironment;
import com.sun.xml.rpc.spi.tools.ModelInfo;

import java.net.URL;

import javax.xml.namespace.QName;

/**
 *
 * @author JAX-RPC Development Team
 */
public interface ModelInfoPlugin {
    public QName getModelInfoName();
    public ModelInfoParser createModelInfoParser(ProcessorEnvironment env);
    public ModelInfo createModelInfo();
    public ModelInfo createModelInfo(URL mappingFile) throws Exception;
}
