/*
 * $Id: SOAPUnorderedStructureType.java,v 1.2 2005-03-04 18:11:03 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.processor.model.soap;

import javax.xml.namespace.QName;

import com.sun.xml.rpc.soap.SOAPVersion;

/**
 *
 * @author JAX-RPC Development Team
 */
public class SOAPUnorderedStructureType extends SOAPStructureType {
    
    public SOAPUnorderedStructureType() {}
    
    public SOAPUnorderedStructureType(QName name) {
        this(name, SOAPVersion.SOAP_11);
    }
    
    public SOAPUnorderedStructureType(QName name, SOAPVersion version) {
        super(name, version);
    }
    
    public void accept(SOAPTypeVisitor visitor) throws Exception {
        visitor.visit(this);
    }
}
