/*
 * $Id: NotationDeclarationComponent.java,v 1.2 2005-03-04 18:11:10 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.sun.xml.rpc.processor.schema;

import javax.xml.namespace.QName;

/**
 *
 * @author JAX-RPC Development Team
 */
public class NotationDeclarationComponent extends Component {
    
    public NotationDeclarationComponent() {}
    
    public void accept(ComponentVisitor visitor) throws Exception {
        visitor.visit(this);
    }
    
    private QName _name;
    private String _systemIdentifier;
    private String _publicIdentifier;
    private AnnotationComponent _annotation;
}
