/*
 * $Id: HeaderFaultException.java,v 1.2 2005-03-04 18:11:54 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * @author JAX-RPC Development Team
 */

package com.sun.xml.rpc.util;

public class HeaderFaultException extends Exception {
	private Object obj = null;

	public HeaderFaultException(String msg, Object obj) {
		super(msg);
		this.obj = obj;
	}

	public Object getObject() {
		return this.obj;
	}
}
